Random RPI4 Crashes. Logs are not saved. SSD error?

Hi folks!

Been dwelling with seemingly random crashes. An unplug and replug of the Pi will make everything run smoothly again for a week or two, than, crash again. The logs don’t show any critical errors.
Today I was finally able to catch some errors using the mobile app, but it would not allow me to download the logs, so all I have are screenshots. I’m hoping someone has any idea to point me in the right direction.
I update my system once a month at least, and it’s been going on for a couple of months now.

I apologize in advance for maybe the excess or lack of information, but I really don’t know what’s relevant. I’ll try to include as much as I can.
You’ll be able to see from the logs that webRTC is constantly complaining about my android 9 samsung S8 that I have as a dashboard. I’ve tried excluding it, the crashes still happen. Crashes happened before I added the Renpho integration as well.

I’ll post the home-assistant.log.1 file from today after reboot, as well as the screenshots I was able to capture from the mobile app. I’ll shorten the log a bit, ommiting the repeat warnings from webrtc to be in the caracter limit.

I’m not computer iliterate, but I’m far from being a professional programmer as well. With that in mind, I can try any avenue you see fit to try to troubleshoot.

My first guess would be a failing SSD, but it is a namebrand M.2 128GB SSD bought from amazon, mounted to a reputable usb 3.0 enclosure. Both the PI and the SSD have less than a year of usage.
I could just buy another SSD to test, but I’d like to avoid wasting money, as I have no need for another M.2, and it might not be it.

System:

HAOS on a RPI4 8GB, with a SSD external drive.
Network: Ethernet onto a ER605 from TP-link
Zigbee: Conbee II on a USB extender.

Software:

  • Core 2024.6.3
  • Supervisor 2024.06.0
  • Operating System 12.3
  • Frontend 20240610.1

Add Ons:

Chrony, Cloudflared, ESPHome, Eufy-security-ws, Home Assistant Google Drive Backup, InfluxDB, Let’s Encrypt, MariaDB, Matter Server, Mosquitto broker, Omada Controller Stable, RTSP Simple Server Add-on, Samba share, Studio code Server, Terminal & SSH, Zigbee2MQTT.

All kept updated.

Integrations:

Alarmo, Bluetooth, ESPHome, Eufy Security, Google Cast, HACS, Matter, Meteorologisk institutt, Mobile App, MQTT, ONVIF, Proximity, Renpho, Thread, Waze Travel Time, WebRTC Camera, WLED.

Screenshots:


.

2024-06-15 18:05:44.466 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration eufy_security which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2024-06-15 18:05:44.469 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration dreame_vacuum which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2024-06-15 18:05:44.471 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration renpho which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2024-06-15 18:05:44.472 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration hacs which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2024-06-15 18:05:44.474 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration alarmo which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2024-06-15 18:05:44.476 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration webrtc which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2024-06-15 18:05:55.358 WARNING (MainThread) [homeassistant.helpers.frame] Detected that custom integration 'hacs' accesses hass.components.frontend. This is deprecated and will stop working in Home Assistant 2024.9, it should be updated to import functions used from frontend directly at custom_components/hacs/frontend.py, line 68: hass.components.frontend.async_register_built_in_panel(, please create a bug report at https://github.com/hacs/integration/issues
2024-06-15 18:06:06.240 WARNING (ImportExecutor_0) [homeassistant.helpers.typing] HomeAssistantType was used from webrtc, this is a deprecated alias which will be removed in HA Core 2025.5. Use homeassistant.core.HomeAssistant instead, please report it to the author of the 'webrtc' custom integration
2024-06-15 18:06:06.250 WARNING (ImportExecutor_0) [homeassistant.helpers.typing] ServiceCallType was used from webrtc, this is a deprecated alias which will be removed in HA Core 2025.5. Use homeassistant.core.ServiceCall instead, please report it to the author of the 'webrtc' custom integration
2024-06-15 18:06:09.481 WARNING (MainThread) [aioesphomeapi.reconnect_logic] Can't connect to ESPHome API for sonoff-t3us3c-1 @ 192.168.0.123: Error connecting to [AddrInfo(family=<AddressFamily.AF_INET: 2>, type=<SocketKind.SOCK_STREAM: 1>, proto=6, sockaddr=IPv4Sockaddr(address='192.168.0.123', port=6053))]: [Errno 111] Connect call failed ('192.168.0.123', 6053) (SocketAPIError)
2024-06-15 18:06:10.327 WARNING (MainThread) [aioesphomeapi.reconnect_logic] Can't connect to ESPHome API for esphome-web-a317b8 @ 192.168.0.126: Error connecting to [AddrInfo(family=<AddressFamily.AF_INET: 2>, type=<SocketKind.SOCK_STREAM: 1>, proto=6, sockaddr=IPv4Sockaddr(address='192.168.0.126', port=6053))]: [Errno 111] Connect call failed ('192.168.0.126', 6053) (SocketAPIError)
2024-06-15 18:06:12.491 WARNING (MainThread) [aioesphomeapi.reconnect_logic] Can't connect to ESPHome API for external-ant @ 192.168.0.124: Error connecting to [AddrInfo(family=<AddressFamily.AF_INET: 2>, type=<SocketKind.SOCK_STREAM: 1>, proto=6, sockaddr=IPv4Sockaddr(address='192.168.0.124', port=6053))]: [Errno 113] Connect call failed ('192.168.0.124', 6053) (SocketAPIError)
2024-06-15 18:06:12.586 WARNING (MainThread) [aioesphomeapi.reconnect_logic] Can't connect to ESPHome API for esphome-web-2cdc0c @ 192.168.0.118: Error connecting to [AddrInfo(family=<AddressFamily.AF_INET: 2>, type=<SocketKind.SOCK_STREAM: 1>, proto=6, sockaddr=IPv4Sockaddr(address='192.168.0.118', port=6053))]: [Errno 113] Connect call failed ('192.168.0.118', 6053) (SocketAPIError)
2024-06-15 18:06:19.364 WARNING (MainThread) [homeassistant.components.sensor] Setup of sensor platform renpho is taking over 10 seconds.
2024-06-15 18:06:19.765 ERROR (MainThread) [custom_components.renpho.api_renpho] Failed to fetch weight measurements.
2024-06-15 18:10:10.842 WARNING (ImportExecutor_0) [homeassistant.backports.enum] StrEnum was used from eufy_security, this is a deprecated alias which will be removed in HA Core 2025.5. Use enum.StrEnum instead, please report it to the author of the 'eufy_security' custom integration
2024-06-15 18:10:11.929 WARNING (MainThread) [homeassistant.helpers.frame] Detected that custom integration 'hacs' accesses hass.helpers.event. This is deprecated and will stop working in Home Assistant 2024.11, it should be updated to import functions used from event directly at custom_components/hacs/base.py, line 630: self.hass.helpers.event.async_track_time_interval(, please create a bug report at https://github.com/hacs/integration/issues
2024-06-15 18:11:09.192 ERROR (MainThread) [frontend.js.latest.202406101] Uncaught error from Chrome WebView 126.0.6478.71 on Android 9
TypeError: Cannot read properties of undefined (reading 'states')
WebRTCCamera.checkStateChange (/webrtc/webrtc-camera.js:79:43)
/webrtc/webrtc-camera.js:74:35
2024-06-15 18:11:09.202 ERROR (MainThread) [frontend.js.latest.202406101] Uncaught error from Chrome WebView 126.0.6478.71 on Android 9
TypeError: Cannot read properties of undefined (reading 'states')
WebRTCCamera.checkStateChange (/webrtc/webrtc-camera.js:79:43)
2024-06-15 18:16:26.496 WARNING (MainThread) [homeassistant.helpers.frame] Detected that custom integration 'renpho' calls `async_add_job`, which is deprecated and will be removed in Home Assistant 2025.4; Please review https://developers.home-assistant.io/blog/2024/03/13/deprecate_add_run_job for replacement options at custom_components/renpho/sensor.py, line 128: self.hass.async_add_job(self._handle_coordinator_update), please create a bug report at https://github.com/neilzilla/hass-renpho/issues
2024-06-15 18:19:12.267 ERROR (MainThread) [frontend.js.latest.202406101] Uncaught error from Brave 126.0.0.0 on Windows 10
TypeError: Cannot read properties of undefined (reading 'states')
WebRTCCamera.checkStateChange (/webrtc/webrtc-camera.js:79:43)
2024-06-16 03:38:47.840 ERROR (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Error reading from socket.
2024-06-16 03:38:47.840 WARNING (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Error communicating with socket, resetting connection
2024-06-16 03:38:47.885 ERROR (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Failed to connect to service HostServiceInfo(host='192.168.0.120', port=8009), retrying in 5.0s
2024-06-16 05:56:06.521 ERROR (MainThread) [frontend.js.latest.202406101] Uncaught error from Chrome WebView 126.0.6478.71 on Android 9
TypeError: Cannot read properties of undefined (reading 'states')
WebRTCCamera.checkStateChange (/webrtc/webrtc-camera.js:79:43)
2024-06-16 07:47:25.261 ERROR (MainThread) [homeassistant.components.wled] Error fetching wled data: Invalid response from API: Error occurred while communicating with WLED device at 192.168.0.105
2024-06-16 09:08:21.293 ERROR (MainThread) [frontend.js.latest.202406101] Uncaught error from Chrome WebView 126.0.6478.71 on Android 9
TypeError: Cannot read properties of undefined (reading 'states')
WebRTCCamera.checkStateChange (/webrtc/webrtc-camera.js:79:43)
2024-06-16 12:00:20.222 WARNING (MainThread) [homeassistant.components.websocket_api.http.connection] [547352234880] from 192.168.0.113 (Mozilla/5.0 (Linux; Android 14; Pixel 7 Pro Build/AP1A.240505.005; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/125.0.6422.165 Mobile Safari/537.36 Home Assistant/2024.6.1-12936 (Android 14; Pixel 7 Pro)): Disconnected: Did not receive auth message within 10 seconds
2024-06-16 12:18:54.017 ERROR (MainThread) [frontend.js.latest.202406101] Uncaught error from Brave 126.0.0.0 on Windows 10
TypeError: Cannot read properties of undefined (reading 'states')
WebRTCCamera.checkStateChange (/webrtc/webrtc-camera.js:79:43)

2024-06-16 18:11:18.028 WARNING (MainThread) [homeassistant.helpers.entity] Update of sensor.waze_travel_time is taking over 10 seconds
2024-06-16 18:11:18.050 WARNING (MainThread) [homeassistant.helpers.entity] Update of sensor.zirtam is taking over 10 seconds
2024-06-16 18:11:18.624 ERROR (MainThread) [homeassistant.helpers.entity] Update for sensor.waze_travel_time fails
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 941, in async_update_ha_state
    await self.async_device_update()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 1289, in async_device_update
    await self.async_update()
  File "/usr/src/homeassistant/homeassistant/components/waze_travel_time/sensor.py", line 156, in async_update
    await self._waze_data.async_update()
  File "/usr/src/homeassistant/homeassistant/components/waze_travel_time/sensor.py", line 195, in async_update
    routes = await async_get_travel_times(
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/components/waze_travel_time/__init__.py", line 140, in async_get_travel_times
    routes = await client.calc_routes(
             ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/pywaze/route_calculator.py", line 274, in calc_routes
    start_coords = await self._ensure_coords(start)
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/pywaze/route_calculator.py", line 92, in _ensure_coords
    coords = await self.address_to_coords(address)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/pywaze/route_calculator.py", line 123, in address_to_coords
    for response_json in response.json():
                         ^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_models.py", line 764, in json
    return jsonlib.loads(self.content, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/json/__init__.py", line 346, in loads
    return _default_decoder.decode(s)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/json/decoder.py", line 337, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/json/decoder.py", line 355, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
2024-06-16 18:11:18.794 WARNING (MainThread) [homeassistant.components.waze_travel_time] Error on retrieving data: Rate exceeded.
2024-06-16 18:11:18.797 WARNING (MainThread) [homeassistant.components.waze_travel_time.sensor] No routes found
2024-06-16 18:36:19.916 ERROR (MainThread) [frontend.js.latest.202406101] Uncaught error from Chrome WebView 126.0.6478.71 on Android 9
TypeError: Cannot read properties of undefined (reading 'states')
WebRTCCamera.checkStateChange (/webrtc/webrtc-camera.js:79:43)
2024-06-17 03:42:59.642 ERROR (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Error reading from socket.
2024-06-17 03:42:59.643 WARNING (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Error communicating with socket, resetting connection
2024-06-17 03:42:59.650 ERROR (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Failed to connect to service HostServiceInfo(host='192.168.0.120', port=8009), retrying in 5.0s
2024-06-17 04:14:13.983 ERROR (MainThread) [frontend.js.latest.202406101] Uncaught error from Chrome WebView 126.0.6478.71 on Android 9
TypeError: Cannot read properties of undefined (reading 'states')
WebRTCCamera.checkStateChange (/webrtc/webrtc-camera.js:79:43)
2024-06-17 11:34:35.491 ERROR (MainThread) [custom_components.renpho.api_renpho] Failed to connect using direct connection. HTTP Status: 502
2024-06-17 11:34:35.497 ERROR (MainThread) [custom_components.renpho.api_renpho] Proxy check failed. Aborting authentication.
2024-06-17 11:34:35.497 ERROR (MainThread) [custom_components.renpho.api_renpho] Failed to fetch girth goal: Proxy check failed. Aborting authentication.
2024-06-17 13:31:18.352 WARNING (MainThread) [homeassistant.helpers.entity] Update of sensor.waze_travel_time is taking over 10 seconds
2024-06-17 13:31:18.363 WARNING (MainThread) [homeassistant.helpers.entity] Update of sensor.zirtam is taking over 10 seconds
2024-06-17 13:31:18.598 ERROR (MainThread) [homeassistant.helpers.entity] Update for sensor.waze_travel_time fails
Traceback (most recent call last):
  File "/usr/local/lib/python3.12/site-packages/httpx/_transports/default.py", line 69, in map_httpcore_exceptions
    yield
  File "/usr/local/lib/python3.12/site-packages/httpx/_transports/default.py", line 373, in handle_async_request
    resp = await self._pool.handle_async_request(req)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/connection_pool.py", line 216, in handle_async_request
    raise exc from None
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/connection_pool.py", line 196, in handle_async_request
    response = await connection.handle_async_request(
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/connection.py", line 101, in handle_async_request
    return await self._connection.handle_async_request(request)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/http11.py", line 143, in handle_async_request
    raise exc
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/http11.py", line 113, in handle_async_request
    ) = await self._receive_response_headers(**kwargs)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/http11.py", line 186, in _receive_response_headers
    event = await self._receive_event(timeout=timeout)
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/http11.py", line 238, in _receive_event
    raise RemoteProtocolError(msg)
httpcore.RemoteProtocolError: Server disconnected without sending a response.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 941, in async_update_ha_state
    await self.async_device_update()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 1289, in async_device_update
    await self.async_update()
  File "/usr/src/homeassistant/homeassistant/components/waze_travel_time/sensor.py", line 156, in async_update
    await self._waze_data.async_update()
  File "/usr/src/homeassistant/homeassistant/components/waze_travel_time/sensor.py", line 195, in async_update
    routes = await async_get_travel_times(
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/components/waze_travel_time/__init__.py", line 140, in async_get_travel_times
    routes = await client.calc_routes(
             ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/pywaze/route_calculator.py", line 274, in calc_routes
    start_coords = await self._ensure_coords(start)
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/pywaze/route_calculator.py", line 92, in _ensure_coords
    coords = await self.address_to_coords(address)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/pywaze/route_calculator.py", line 115, in address_to_coords
    response: httpx.Response = await self.client.get(
                               ^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1801, in get
    return await self.request(
           ^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1574, in request
    return await self.send(request, auth=auth, follow_redirects=follow_redirects)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1661, in send
    response = await self._send_handling_auth(
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1689, in _send_handling_auth
    response = await self._send_handling_redirects(
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1726, in _send_handling_redirects
    response = await self._send_single_request(request)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1763, in _send_single_request
    response = await transport.handle_async_request(request)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_transports/default.py", line 372, in handle_async_request
    with map_httpcore_exceptions():
  File "/usr/local/lib/python3.12/contextlib.py", line 158, in __exit__
    self.gen.throw(value)
  File "/usr/local/lib/python3.12/site-packages/httpx/_transports/default.py", line 86, in map_httpcore_exceptions
    raise mapped_exc(message) from exc
httpx.RemoteProtocolError: Server disconnected without sending a response.
2024-06-18 04:00:49.589 ERROR (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Error reading from socket.
2024-06-18 04:00:49.590 WARNING (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Error communicating with socket, resetting connection
2024-06-18 04:00:49.600 ERROR (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Failed to connect to service HostServiceInfo(host='192.168.0.120', port=8009), retrying in 5.0s
2024-06-18 04:11:18.529 WARNING (MainThread) [homeassistant.helpers.entity] Update of sensor.waze_travel_time is taking over 10 seconds
2024-06-18 04:11:18.535 WARNING (MainThread) [homeassistant.helpers.entity] Update of sensor.zirtam is taking over 10 seconds
2024-06-18 04:11:18.744 ERROR (MainThread) [homeassistant.helpers.entity] Update for sensor.waze_travel_time fails
Traceback (most recent call last):
  File "/usr/local/lib/python3.12/site-packages/httpx/_transports/default.py", line 69, in map_httpcore_exceptions
    yield
  File "/usr/local/lib/python3.12/site-packages/httpx/_transports/default.py", line 373, in handle_async_request
    resp = await self._pool.handle_async_request(req)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/connection_pool.py", line 216, in handle_async_request
    raise exc from None
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/connection_pool.py", line 196, in handle_async_request
    response = await connection.handle_async_request(
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/connection.py", line 101, in handle_async_request
    return await self._connection.handle_async_request(request)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/http11.py", line 143, in handle_async_request
    raise exc
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/http11.py", line 113, in handle_async_request
    ) = await self._receive_response_headers(**kwargs)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/http11.py", line 186, in _receive_response_headers
    event = await self._receive_event(timeout=timeout)
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpcore/_async/http11.py", line 238, in _receive_event
    raise RemoteProtocolError(msg)
httpcore.RemoteProtocolError: Server disconnected without sending a response.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 941, in async_update_ha_state
    await self.async_device_update()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 1289, in async_device_update
    await self.async_update()
  File "/usr/src/homeassistant/homeassistant/components/waze_travel_time/sensor.py", line 156, in async_update
    await self._waze_data.async_update()
  File "/usr/src/homeassistant/homeassistant/components/waze_travel_time/sensor.py", line 195, in async_update
    routes = await async_get_travel_times(
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/components/waze_travel_time/__init__.py", line 140, in async_get_travel_times
    routes = await client.calc_routes(
             ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/pywaze/route_calculator.py", line 274, in calc_routes
    start_coords = await self._ensure_coords(start)
                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/pywaze/route_calculator.py", line 92, in _ensure_coords
    coords = await self.address_to_coords(address)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/pywaze/route_calculator.py", line 115, in address_to_coords
    response: httpx.Response = await self.client.get(
                               ^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1801, in get
    return await self.request(
           ^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1574, in request
    return await self.send(request, auth=auth, follow_redirects=follow_redirects)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1661, in send
    response = await self._send_handling_auth(
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1689, in _send_handling_auth
    response = await self._send_handling_redirects(
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1726, in _send_handling_redirects
    response = await self._send_single_request(request)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_client.py", line 1763, in _send_single_request
    response = await transport.handle_async_request(request)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/site-packages/httpx/_transports/default.py", line 372, in handle_async_request
    with map_httpcore_exceptions():
  File "/usr/local/lib/python3.12/contextlib.py", line 158, in __exit__
    self.gen.throw(value)
  File "/usr/local/lib/python3.12/site-packages/httpx/_transports/default.py", line 86, in map_httpcore_exceptions
    raise mapped_exc(message) from exc
httpx.RemoteProtocolError: Server disconnected without sending a response.

2024-06-18 05:02:38.570 ERROR (MainThread) [custom_components.renpho.api_renpho] Proxy connection failed: Cannot connect to host httpbin.org:80 ssl:default [Try again]
2024-06-18 05:02:38.571 ERROR (MainThread) [custom_components.renpho.api_renpho] Proxy check failed. Aborting authentication.
2024-06-18 05:02:38.571 ERROR (MainThread) [custom_components.renpho.api_renpho] Failed to fetch weight measurements: Proxy check failed. Aborting authentication.
2024-06-18 05:02:47.167 ERROR (MainThread) [custom_components.renpho.api_renpho] Proxy connection failed: [Errno 104] Connection reset by peer
2024-06-18 05:02:47.168 ERROR (MainThread) [custom_components.renpho.api_renpho] Proxy check failed. Aborting authentication.
2024-06-18 05:02:47.168 ERROR (MainThread) [custom_components.renpho.api_renpho] Failed to fetch girth info: Proxy check failed. Aborting authentication.
2024-06-18 06:50:09.809 WARNING (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Heartbeat timeout, resetting connection
2024-06-18 06:53:39.249 ERROR (MainThread) [custom_components.renpho.api_renpho] Failed to fetch weight measurements.
2024-06-18 07:22:55.885 WARNING (MainThread) [homeassistant.components.automation.cofee_maker_turn_off] Cofee Maker Turn Off: Already running
2024-06-18 07:25:32.567 WARNING (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Heartbeat timeout, resetting connection
2024-06-18 07:52:42.557 WARNING (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Heartbeat timeout, resetting connection
2024-06-18 08:02:12.114 ERROR (MainThread) [frontend.js.latest.202406101] Uncaught error from Chrome WebView 126.0.6478.71 on Android 9
TypeError: Cannot read properties of undefined (reading 'states')
WebRTCCamera.checkStateChange (/webrtc/webrtc-camera.js:79:43)
/webrtc/webrtc-camera.js:74:35
2024-06-18 08:53:18.917 WARNING (Thread-5) [pychromecast.socket_client] [Living Room display(192.168.0.120):8009] Heartbeat timeout, resetting connection

I would start here:

How to Troubleshoot Raspberry Pi Crashing.

AND consider running through these steps since it might be an Integration issue.

2024.5+: Tracking down instability issues caused by integrations.

1 Like